> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usetuner.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Filter Options

> List the filter values available for this agent's calls.

Returns the call intents, call outcomes, and labels/red flags that can be
passed to the corresponding filters on List Calls.



## OpenAPI

````yaml https://api.usetuner.ai/public/openapi.json get /api/v1/workspaces/{workspace_id}/agents/{agent_id}/calls/filter-options
openapi: 3.1.0
info:
  title: My Public API
  version: 1.0.0
servers:
  - url: https://api.usetuner.ai
security: []
tags:
  - name: calls
    x-group: Calls
  - name: workspaces
    x-group: Workspaces
  - name: agent-settings
    x-group: Agent Settings
  - name: agents
    x-group: Agents
  - name: simulation
    x-group: Simulation
  - name: providers
    x-group: Providers
paths:
  /api/v1/workspaces/{workspace_id}/agents/{agent_id}/calls/filter-options:
    get:
      tags:
        - calls
        - calls
      summary: List Filter Options
      description: >-
        List the filter values available for this agent's calls.


        Returns the call intents, call outcomes, and labels/red flags that can
        be

        passed to the corresponding filters on List Calls.
      operationId: >-
        get_call_logs_filter_options_api_v1_workspaces__workspace_id__agents__agent_id__calls_filter_options_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: integer
            description: Tuner's internal numeric ID for the agent.
            title: Agent Id
          description: Tuner's internal numeric ID for the agent.
        - name: workspace_id
          in: path
          required: true
          schema:
            type: integer
            description: Workspace ID. Find this in Workspace > General Settings.
            title: Workspace Id
          description: Workspace ID. Find this in Workspace > General Settings.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallLogsFilterOptionsResponse'
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              example:
                detail: Not authenticated
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: You do not have access to this workspace.
          content:
            application/json:
              example:
                detail: User does not have access to workspace 42
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Agent not found.
          content:
            application/json:
              example:
                detail: Agent with ID 17 not found
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Bearer: []
components:
  schemas:
    CallLogsFilterOptionsResponse:
      properties:
        call_intents:
          items:
            $ref: '#/components/schemas/FilterOption'
          type: array
          title: Call Intents
          description: List of available call intents
        call_outcomes:
          items:
            $ref: '#/components/schemas/FilterOption'
          type: array
          title: Call Outcomes
          description: List of available call outcomes
        sentiments:
          items:
            type: string
          type: array
          title: Sentiments
          description: List of available sentiment values
        labels_and_redflags:
          items:
            $ref: '#/components/schemas/FilterOption'
          type: array
          title: Labels And Redflags
          description: List of available labels and red flags from rules
      type: object
      title: CallLogsFilterOptionsResponse
      description: Response schema for call logs filter options.
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Human-readable description of what went wrong.
      type: object
      required:
        - detail
      title: ErrorResponse
      description: Error body returned when a request fails.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FilterOption:
      properties:
        id:
          type: integer
          title: Id
          description: Filter option ID
        label:
          type: string
          title: Label
          description: Filter option label
      type: object
      required:
        - id
        - label
      title: FilterOption
      description: Base schema for a single filter option.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Use Tuner API key (tr_api_...) or user session token. Find your API key
        in Workspace Settings > API Keys.
      scheme: bearer

````